@echo off
rem ------------------------------------------------------------------
echo Test case Access_Control_001.sql
sqlcmd -E -iAccess_Control_001.sql -oVerification_Scripts_Result.txt
rem ------------------------------------------------------------------
echo Test case Access_Control_002.sql
sqlcmd -E -iAccess_Control_002.sql >> Verification_Scripts_Result.txt
rem ------------------------------------------------------------------
echo Test case Access_Control_003.sql
sqlcmd -E -iAccess_Control_003.sql >> Verification_Scripts_Result.txt
rem ------------------------------------------------------------------
echo Test case Auditing_001.sql
sqlcmd -E -iAuditing_001.sql >> Verification_Scripts_Result.txt
rem ------------------------------------------------------------------
echo Test case Auditing_002.sql
sqlcmd -E -iAuditing_002.sql >> Verification_Scripts_Result.txt
rem ------------------------------------------------------------------
echo Test case Auditing_003.sql
sqlcmd -E -iAuditing_003.sql >> Verification_Scripts_Result.txt
rem ------------------------------------------------------------------
echo Test case Session_Handling_Setup.sql
sqlcmd -E -iSession_Handling_Setup.sql >> Verification_Scripts_Result.txt
rem ------------------------------------------------------------------
echo Test case Session_Handling_001.sql
sqlcmd -E -iSession_Handling_001.sql >> Verification_Scripts_Result.txt
rem ------------------------------------------------------------------
echo Test case Session_Handling_002.sql
sqlcmd -ULGN_Session_Handling -P"AbCV######98765" -iSession_Handling_002.sql >> Verification_Scripts_Result.txt
IF %ERRORLEVEL% EQU 1 ECHO TESTRESULT: FAIL [Session_Handling_002] Could not login using sql login LGN_Session_Handling >> Verification_Scripts_Result.txt
rem ------------------------------------------------------------------
echo Test case Session_Handling_003.sql
sqlcmd -ULGN_Session_Handling -Pinvalid -iSession_Handling_003.sql >> Verification_Scripts_Result.txt
IF %ERRORLEVEL% EQU 1 ECHO TESTRESULT: PASS [Session_Handling_003] >> Verification_Scripts_Result.txt
rem ------------------------------------------------------------------
echo Test case Session_Handling_004.sql
sqlcmd -E -iSession_Handling_004.sql >> Verification_Scripts_Result.txt
rem ------------------------------------------------------------------
echo Test case Session_Handling_005.sql
sqlcmd -ULGN_Session_Handling -P"AbCV######98765" -iSession_Handling_005.sql >> Verification_Scripts_Result.txt
IF %ERRORLEVEL% EQU 1 ECHO TESTRESULT: PASS [Session_Handling_005] >> Verification_Scripts_Result.txt
rem ------------------------------------------------------------------
echo Test case Session_Handling_006.sql
sqlcmd -E -iSession_Handling_006.sql >> Verification_Scripts_Result.txt
rem ------------------------------------------------------------------
echo Test case Session_Handling_007.sql
sqlcmd -ULGN_Session_Handling -P"AbCV######98765" -iSession_Handling_007.sql >> Verification_Scripts_Result.txt
IF %ERRORLEVEL% EQU 1 ECHO TESTRESULT: FAIL [Session_Handling_007] Could not login using sql login LGN_Session_Handling >> Verification_Scripts_Result.txt
rem ------------------------------------------------------------------
echo Test case Session_Handling_Cleanup.sql
sqlcmd -E -iSession_Handling_Cleanup.sql >> Verification_Scripts_Result.txt
rem ------------------------------------------------------------------
findstr /i /c:TESTRESULT Verification_Scripts_Result.txt